Subject: Re: bug#25338: [PATCH] Remove local variable with only one usage

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Jan 2017 10:26:30 +0200

tags 25338 notabug
close 25338
thanks

> From: Chris Gregory <[email-masked]>
> Date: Mon, 02 Jan 2017 13:50:01 -0800

Thanks.

IMO, we are splitting hair here.  In an optimized build, a compiler
will optimize 'str' and keep the value in a register, so the variable
doesn't matter.  In a non-optimized build, the existence of the
variable allows to look at it in a debugger.  And the loop is small
enough so that an extra variable local to the loop doesn't make it
more complicated.

So I'd rather not make this change.